## org.apache.ivy.ant
Class IvyDependencyArtifact

    java.lang.Object
      org.apache.ivy.ant.IvyDependencyArtifact

    public class IvyDependencyArtifact

extends java.lang.Object

Constructor Summary
`IvyDependencyArtifact()`

Method Summary
`void` `setExt(java.lang.String ext)`
`void` `setName(java.lang.String name)`
`void` `setType(java.lang.String type)`
`void` `setUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyDependencyArtifact

    public IvyDependencyArtifact()

Method Detail

### setName

    public void setName(java.lang.String name)

### setType

    public void setType(java.lang.String type)

### setExt

    public void setExt(java.lang.String ext)

### setUrl

    public void setUrl(java.lang.String url)